Subject: bug#75310: Eliminate obsolete alias warning

From: Peter Oliver <[email-masked]>
Date: Fri, 3 Jan 2025 14:11:00 +0000 (GMT)

On Fri, 3 Jan 2025, Eli Zaretskii wrote:

>> Date: Fri, 3 Jan 2025 11:41:46 +0000 (GMT)
>> From: Peter Oliver <[email-masked]>
>>
>> A patch is attached to eliminate a warning in lisp/treesit.el.
>>
>> From 2a57f0e8b84ea8c99627b2e576cf71386f7c8aa6 Mon Sep 17 00:00:00 2001
>> From: Peter Oliver <[email-masked]>
>> Date: Fri, 3 Jan 2025 11:36:16 +0000
>> Subject: [PATCH] Eliminate obsolete alias warning
>>
>> * lisp/treesit.el (treesit-transpose-sexps): Replace obsolete alias loop
>>   with cl-loop
>
> I don't get any warning, and this 'loop' is not an obsolete alias:

I see the warning with emacs -Q if I (require 'cl).

Apologies for the bad fix.

-- 
Peter Oliver